@echo off
@SETLOCAL
if %11==/?1 goto OUT_CMDLINE
if %11==1 goto OUT_CMDLINE
SET PATH=%PATH%;%ProgramFiles%\PostgreSQL\8.2\bin
SET PGDATABASE=postgres
SET PGUSER=postgres
SET PGPASSWORD=postg
SET DBNAME=visuallift
REM Argumente untersuchen
if not %21==1 SET DBNAME=%2
if not %31==1 SET PGUSER=%4
if not %41==1 SET PGPASSWORD=%4
set bac_datei=%1
echo.
echo.
echo -----------------------------------
echo - VisualLift database restoration -
echo -----------------------------------
echo.
echo Close all VisualLift clients, please.
echo.
pause
echo.
net stop klnlift 2>nul
set klnlift_stopped=%errorlevel%
REM Verarbeitungsroutine
echo.
echo Restoring database (%bac_datei%)..
psql -q -c "DROP DATABASE %DBNAME%"
psql -q -c "CREATE DATABASE %DBNAME% WITH TEMPLATE template0"
call pg_restore.exe -Fc -d %DBNAME% %bac_datei% 2>&1
if %errorlevel% neq 0 goto FEHLER1
echo The database restoration was successfully done.
goto CP
:FEHLER1
echo Error occured during database restoration.
:CP
REM XML-Datei kopieren
echo.
echo Restoring VisualLift configuration file..
copy "%~n1.dat" "%CommonProgramFiles%\Kollmorgen\KlnLift\KlnLift.dat" >nul
if %errorlevel% neq 0 goto FEHLER2
echo VisualLift configuration file was successfully restored.
goto ENDE_WAIT
:FEHLER2
echo Error occured during restore of configuration file.
goto ENDE_WAIT
:OUT_CMDLINE
echo.
echo Parameter: %0 "file" [database [user [password]]]
GOTO ENDE
:ENDE_WAIT
echo.
if %klnlift_stopped%==0 net start klnlift 2>nul
echo.
pause
echo.
:ENDE